# Return reasons **GET /v1/returns/reasons** Returned units grouped by reason. Warehouse returns use FBM `return_reason` or Connect `refund_reason`; Amazon FBA returns use the ledger reason on `amazon_returns`. ## Servers - Public API: https://api.pattern.com/hub (Public API) - Staging API: https://stage-api.pattern.com/hub (Staging API) ## Authentication methods - Bearer auth ## Parameters ### Query parameters - **start_date** (string) ISO date (YYYY-MM-DD), inclusive. Defaults to 30 days before end_date when omitted. - **end_date** (string) ISO date (YYYY-MM-DD), inclusive. Defaults to today when omitted. - **warehouses[]** (array) Filter by Pattern warehouse name. When set, Amazon FBA returns are omitted. - **vendors[]** (array) Filter by vendor name among vendors on the authenticated org. ## Responses ### 200 reasons retrieved successfully #### Body: application/json (array[object]) - **reason** (string) Return reason, or unspecified when none is recorded - **units** (integer) - **orders** (integer) Distinct orders for this reason - **share** (number) Share of returned units in the window [Powered by Bump.sh](https://bump.sh)